Name: perl-Net-DNS-Resolver-Programmable
%define pkgname Net-DNS-Resolver-Programmable
Version: 0.002.2
Release: 1%{?dist}
Summary: Programmable DNS resolver class for offline emulation of DNS
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl >= 1:5.6.0
BuildRequires: perl(Module::Build) >= 0.26
BuildRequires: perl(Test::More)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(version)

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant
class that allows a virtual DNS to be emulated instead of querying the
real DNS.  A set of static DNS records may be supplied, or arbitrary
code may be specified as a means for retrieving DNS records, or even
generating them on the fly.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Build.PL --installdirs vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install --destdir %{buildroot}
find %{buildroot} \( -name .packlist -or -name perllocal.pod -or \( -name '*bs' -a -empty \) \) -exec /bin/rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{perl_vendorlib}/Net/DNS/Resolver/Programmable.pm
%{perl_man3dir}/Net::DNS::Resolver::Programmable.3pm*

%changelog
* Mon May  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
